bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#27445: 26.0.50; Insufficient documentation for pinentry.el


From: Daiki Ueno
Subject: bug#27445: 26.0.50; Insufficient documentation for pinentry.el
Date: Wed, 22 Nov 2017 17:18:23 +0100
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)

Eli Zaretskii <address@hidden> writes:

> Then maybe we should simply remove it now?

Let's do that.

> So now I'm confused.  Can you answer the following questions, and
> thus help me see the light?
>
>   . is pinentry.el needed when using GnuPG 2.1?

No.

>   . if not, why did you say that the above setting of
>     epa-pinentry-mode is the correct solution for GnuPG 2.1?

epa-pinentry-mode is orthogonal to pinentry.el.  What I'm saying is that
we shouldn't expand the documentation of pinentry.el, because it's
turning out to be a failed attempt.

>   . how should Emacs users input passphrases with GnuPG 2.1, without
>     using pinentry.el?

Through the graphical prompt, or using the epa-pinentry-mode 'loopback'
setting.

Regards,
-- 
Daiki Ueno





reply via email to

[Prev in Thread] Current Thread [Next in Thread]